name: Compile Latex and release PDF for review

on:
  pull_request:
    branches: [ "main" ]
    
jobs:
  build_latex:
    runs-on: ubuntu-latest
    steps:
      - name: Set up Git repository
        uses: actions/checkout@v3
      - name: Compile LaTeX document
        uses: xu-cheng/latex-action@v3
        with:
          root_file: main.tex
      - name: Upload PDF file
        uses: actions/upload-artifact@v4
        with:
          name: undergraduate-thesis-for-review
          path: main.pdf
